local function ClearChat()
	for i = 1, 7 do
		local j = _G["ChatFrame"..i]
		if j and j:IsVisible() then j:Clear() end
	end
	PlaySound("GAMEGENERICBUTTONPRESS")
end

SLASH_BROKERCLEARCHAT1 = "/clr"
SLASH_BROKERCLEARCHAT2 = "/clear"
SlashCmdList.BROKERCLEARCHAT = ClearChat

local ldb = LibStub and LibStub:GetLibrary("LibDataBroker-1.1", true)
if ldb then
	ldb:NewDataObject("ClearChat", {
		type = "launcher",
		icon = "Interface\\Icons\\INV_Scroll_15",
		OnClick = ClearChat,
	})
end
